Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.engine
Class QCMLBindings

    java.lang.Object
      |
      +--com.jxml.quick.engine.QCMLBindings

public class QCMLBindings
extends Object

updated by Pavel Curtis to simplify new attribute types and element content--Quick 1.1

Constructor Summary
`QCMLBindings()`

Method Summary
`static QDoc` | `convert(QDoc doc, QContext destination)`
`static QContext` | `createContext(QDoc doc)`
`static QDoc` | `createDoc(Object root)`
`static String` | `forceUrl(String url)` If not a URL, make it a file URL.
`static QContext` | `parse(QDoc schema, InputSource in, String url)` added by John Aronson to support in non-file based schema sources

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QCMLBindings

    public QCMLBindings()

Method Detail

### forceUrl

    public static String forceUrl(String url)

  If not a URL, make it a file URL.

### convert

    public static QDoc convert(QDoc doc,
                               QContext destination)
                        throws SAXException,
                               IOException

### parse

    public static QContext parse(QDoc schema,
                                 InputSource in,
                                 String url)
                          throws IOException,
                                 SAXException

  added by John Aronson to support in non-file based schema sources

### createDoc

    public static QDoc createDoc(Object root)

### createContext

    public static QContext createContext(QDoc doc)
                                  throws SAXException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD